# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::FormatPlugin Class Reference

Base class for address book formats. More...

`#include <formatplugin.h>`

Inheritance diagram for KABC::FormatPlugin:

[legend]
List of all members.

## Public Member Functions

virtual bool | load (Addressee &, QFile *file)=0
virtual bool | loadAll (AddressBook *, Resource *, QFile *file)=0
virtual void | save (const Addressee &, QFile *file)=0
virtual void | saveAll (AddressBook *, Resource *, QFile *file)=0
virtual bool | checkFormat (QFile *file) const =0

## Detailed Description

Base class for address book formats.

This class provides an abstract interface for ResourceFile and ResourceDir formats.

Definition at line 42 of file formatplugin.h.

## Member Function Documentation

virtual bool KABC::FormatPlugin::load | ( | Addressee & | ,
|  | QFile * | file
| ) | `[pure virtual]`

| Load single addressee from file. Implemented in KABC::BinaryFormat, and KABC::VCardFormatPlugin.

virtual bool KABC::FormatPlugin::loadAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) | `[pure virtual]`

| Load whole addressbook from file. Implemented in KABC::BinaryFormat, and KABC::VCardFormatPlugin.

virtual void KABC::FormatPlugin::save | ( | const Addressee & | ,
|  | QFile * | file
| ) | `[pure virtual]`

| Save a single Addressee to file. Implemented in KABC::BinaryFormat, and KABC::VCardFormatPlugin.

virtual void KABC::FormatPlugin::saveAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) | `[pure virtual]`

| Save whole addressbook to file. Implemented in KABC::BinaryFormat, and KABC::VCardFormatPlugin.

virtual bool KABC::FormatPlugin::checkFormat | ( | QFile * | file | ) | const`[pure virtual]`

| Checks if given file contains the right format. Implemented in KABC::BinaryFormat, and KABC::VCardFormatPlugin.

The documentation for this class was generated from the following file:

- formatplugin.h

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:46 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003